Package com.logicaldoc.core.folder

# Class FolderHistory

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.history.History
com.logicaldoc.core.document.AbstractDocumentHistory
com.logicaldoc.core.folder.FolderHistory

All Implemented Interfaces:
  `Serializable`, `Comparable<History>`

@Entity public class FolderHistory extends AbstractDocumentHistory
History entry due to an event on a folder.

Since:
  6.4
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`FolderHistory()`
`FolderHistory(FolderHistory source)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColor()`
`FolderEvent`
`getEventEnum()`
`void`
`setColor(String color)`
`void`
`setEvent(FolderEvent event)`
`void`
`setEvent(String event)`
Sets the event key

### Methods inherited from class com.logicaldoc.core.document.AbstractDocumentHistory

`equals, getDocId, getDocument, getFilename, getFilenameOld, getFileSize, getFileVersion, getFolder, getFolderId, getPathOld, getReason, getRevision, getVersion, hashCode, setDocId, setDocument, setFilename, setFilenameOld, setFileSize, setFileVersion, setFolder, setFolderId, setPathOld, setReason, setRevision, setVersion`

### Methods inherited from class com.logicaldoc.core.history.History

`compareTo, eventTables, getComment, getDate, getDevice, getEvent, getFile, getGeolocation, getImpersonator, getIp, getKeyLabel, getOverwrite, getPath, getSessionId, getTenant, getUser, getUserId, getUserLogin, getUsername, isNotified, isNotifyEvent, setClient, setComment, setDate, setDevice, setFile, setGeolocation, setImpersonator, setIp, setKeyLabel, setNotified, setNotifyEvent, setOverwrite, setPath, setSession, setSessionId, setTenant, setUser, setUserId, setUserLogin, setUsername, toString`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FolderHistory

public FolderHistory()

### FolderHistory

public FolderHistory(FolderHistory source)

## Method Details

### setEvent

public void setEvent(FolderEvent event)

### setEvent

public void setEvent(String event)
Description copied from class: `History`
Sets the event key

Overrides:
  `setEvent` in class `History`
Parameters:
  `event` - key of the event

### getEventEnum

public FolderEvent getEventEnum()

### getColor

public String getColor()

### setColor

public void setColor(String color)